Bug 970173 - [abrt] fuse-afp-0.8.1-10.fc18.3: afp_free_server: Process /usr/bin/afpfsd was killed by signal 6 (SIGABRT)
[abrt] fuse-afp-0.8.1-10.fc18.3: afp_free_server: Process /usr/bin/afpfsd was...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: afpfs-ng (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
abrt_hash:867bc4ad28d3975abea2296b0b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 11:23 EDT by lucacolferai
Modified: 2014-02-05 16:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:38:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.30 KB, text/plain)
2013-06-03 11:23 EDT, lucacolferai
no flags Details
File: cgroup (127 bytes, text/plain)
2013-06-03 11:23 EDT, lucacolferai
no flags Details
File: core_backtrace (2.06 KB, text/plain)
2013-06-03 11:23 EDT, lucacolferai
no flags Details
File: dso_list (1.34 KB, text/plain)
2013-06-03 11:23 EDT, lucacolferai
no flags Details
File: environ (3.45 KB, text/plain)
2013-06-03 11:23 EDT, lucacolferai
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-03 11:24 EDT, lucacolferai
no flags Details
File: maps (10.28 KB, text/plain)
2013-06-03 11:24 EDT, lucacolferai
no flags Details
File: open_fds (246 bytes, text/plain)
2013-06-03 11:24 EDT, lucacolferai
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2013-06-03 11:24 EDT, lucacolferai
no flags Details

  None (edit)
Description lucacolferai 2013-06-03 11:23:39 EDT
Description of problem:
unmounting afp iMac...
I don't know why
sometimes afp crashes with this response:


sudo umount /home/Luca/documenti/Lavori/Mac
[Luca@localhost ~]$ *** glibc detected *** <unknown>: free(): invalid next size (normal): 0x00007f7ea4001540 ***
======= Backtrace: =========
/lib64/libc.so.6[0x395647ca8e]
/lib64/libafpclient.so.0(afp_free_server+0x8b)[0x37a56084db]
/lib64/libafpclient.so.0(afp_server_remove+0xc0)[0x37a56085e0]
/lib64/libafpclient.so.0(afp_unmount_volume+0xba)[0x37a56086aa]
/lib64/libfuse.so.2(fuse_fs_destroy+0x22)[0x363e80b8d2]
/lib64/libfuse.so.2[0x363e80b968]
/lib64/libfuse.so.2[0x363e814062]
/lib64/libfuse.so.2(fuse_session_destroy+0x13)[0x363e81a163]
/lib64/libfuse.so.2(fuse_destroy+0x196)[0x363e813386]
/lib64/libfuse.so.2[0x363e81b43e]
/lib64/libfuse.so.2[0x363e81bb9e]
[0x402ddc]
/lib64/libpthread.so.0[0x3956c07d15]
/lib64/libc.so.6(clone+0x6d)[0x39564f248d]
======= Memory map: ========
00400000-00406000 r-xp 00000000 fd:00 26343                              /usr/bin/afpfsd
00605000-00606000 r--p 00005000 fd:00 26343                              /usr/bin/afpfsd
00606000-00607000 rw-p 00006000 fd:00 26343                              /usr/bin/afpfsd
00607000-00608000 rw-p 00000000 00:00 0 
00806000-00809000 rw-p 00006000 fd:00 26343                              /usr/bin/afpfsd
00c8f000-00cb0000 rw-p 00000000 00:00 0                                  [heap]
00cb0000-00cb6000 rw-p 00000000 00:00 0                                  [heap]
363e800000-363e829000 r-xp 00000000 fd:00 23450                          /usr/lib64/libfuse.so.2.9.2
363e829000-363ea29000 ---p 00029000 fd:00 23450                          /usr/lib64/libfuse.so.2.9.2
363ea29000-363ea3b000 r--p 00029000 fd:00 23450                          /usr/lib64/libfuse.so.2.9.2
363ea3b000-363ea3c000 rw-p 0003b000 fd:00 23450                          /usr/lib64/libfuse.so.2.9.2
37a4a00000-37a4a25000 r-xp 00000000 fd:00 21547                          /usr/lib64/libtinfo.so.5.9
37a4a25000-37a4c24000 ---p 00025000 fd:00 21547                          /usr/lib64/libtinfo.so.5.9
37a4c24000-37a4c28000 r--p 00024000 fd:00 21547                          /usr/lib64/libtinfo.so.5.9
37a4c28000-37a4c29000 rw-p 00028000 fd:00 21547                          /usr/lib64/libtinfo.so.5.9
37a4e00000-37a4e23000 r-xp 00000000 fd:00 26254                          /usr/lib64/libncurses.so.5.9
37a4e23000-37a5022000 ---p 00023000 fd:00 26254                          /usr/lib64/libncurses.so.5.9
37a5022000-37a5023000 r--p 00022000 fd:00 26254                          /usr/lib64/libncurses.so.5.9
37a5023000-37a5024000 rw-p 00023000 fd:00 26254                          /usr/lib64/libncurses.so.5.9
37a5200000-37a523c000 r-xp 00000000 fd:00 24069                          /usr/lib64/libreadline.so.6.2
37a523c000-37a543b000 ---p 0003c000 fd:00 24069                          /usr/lib64/libreadline.so.6.2
37a543b000-37a543d000 r--p 0003b000 fd:00 24069                          /usr/lib64/libreadline.so.6.2
37a543d000-37a5443000 rw-p 0003d000 fd:00 24069                          /usr/lib64/libreadline.so.6.2
37a5443000-37a5445000 rw-p 00000000 00:00 0 
37a5600000-37a561e000 r-xp 00000000 fd:00 26266                          /usr/lib64/libafpclient.so.0.0.0
37a561e000-37a581e000 ---p 0001e000 fd:00 26266                          /usr/lib64/libafpclient.so.0.0.0
37a581e000-37a581f000 r--p 0001e000 fd:00 26266                          /usr/lib64/libafpclient.so.0.0.0
37a581f000-37a5821000 rw-p 0001f000 fd:00 26266                          /usr/lib64/libafpclient.so.0.0.0
3956000000-3956020000 r-xp 00000000 fd:00 1262                           /usr/lib64/ld-2.16.so
3956220000-3956221000 r--p 00020000 fd:00 1262                           /usr/lib64/ld-2.16.so
3956221000-3956222000 rw-p 00021000 fd:00 1262                           /usr/lib64/ld-2.16.so
3956222000-3956223000 rw-p 00000000 00:00 0 
3956400000-39565ad000 r-xp 00000000 fd:00 1536                           /usr/lib64/libc-2.16.so
39565ad000-39567ad000 ---p 001ad000 fd:00 1536                           /usr/lib64/libc-2.16.so
39567ad000-39567b1000 r--p 001ad000 fd:00 1536                           /usr/lib64/libc-2.16.so
39567b1000-39567b3000 rw-p 001b1000 fd:00 1536                           /usr/lib64/libc-2.16.so
39567b3000-39567b8000 rw-p 00000000 00:00 0 
3956800000-3956803000 r-xp 00000000 fd:00 5266                           /usr/lib64/libdl-2.16.so
3956803000-3956a02000 ---p 00003000 fd:00 5266                           /usr/lib64/libdl-2.16.so
3956a02000-3956a03000 r--p 00002000 fd:00 5266                           /usr/lib64/libdl-2.16.so
3956a03000-3956a04000 rw-p 00003000 fd:00 5266                           /usr/lib64/libdl-2.16.so
3956c00000-3956c16000 r-xp 00000000 fd:00 5022                           /usr/lib64/libpthread-2.16.so
3956c16000-3956e16000 ---p 00016000 fd:00 5022                           /usr/lib64/libpthread-2.16.so
3956e16000-3956e17000 r--p 00016000 fd:00 5022                           /usr/lib64/libpthread-2.16.so
3956e17000-3956e18000 rw-p 00017000 fd:00 5022                           /usr/lib64/libpthread-2.16.so
3956e18000-3956e1c000 rw-p 00000000 00:00 0 
3957000000-3957007000 r-xp 00000000 fd:00 5585                           /usr/lib64/librt-2.16.so
3957007000-3957206000 ---p 00007000 fd:00 5585                           /usr/lib64/librt-2.16.so
3957206000-3957207000 r--p 00006000 fd:00 5585                           /usr/lib64/librt-2.16.so
3957207000-3957208000 rw-p 00007000 fd:00 5585                           /usr/lib64/librt-2.16.so
3957c00000-3957c15000 r-xp 00000000 fd:00 4602                           /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3957c15000-3957e14000 ---p 00015000 fd:00 4602                           /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3957e14000-3957e15000 r--p 00014000 fd:00 4602                           /usr/lib64/libgcc_s-4.7.2-20121109.so.1
3957e15000-3957e16000 rw-p 00015000 fd:00 4602                           /usr/lib64/libgcc_s-4.7.2-20121109.so.1
396a400000-396a465000 r-xp 00000000 fd:00 55082                          /usr/lib64/libgmp.so.10.0.5
396a465000-396a664000 ---p 00065000 fd:00 55082                          /usr/lib64/libgmp.so.10.0.5
396a664000-396a665000 r--p 00064000 fd:00 55082                          /usr/lib64/libgmp.so.10.0.5
396a665000-396a66e000 rw-p 00065000 fd:00 55082                          /usr/lib64/libgmp.so.10.0.5
396fc00000-396fc03000 r-xp 00000000 fd:00 55291                          /usr/lib64/libgpg-error.so.0.8.0
396fc03000-396fe02000 ---p 00003000 fd:00 55291                          /usr/lib64/libgpg-error.so.0.8.0
396fe02000-396fe03000 r--p 00002000 fd:00 55291                          /usr/lib64/libgpg-error.so.0.8.0
396fe03000-396fe04000 rw-p 00003000 fd:00 55291                          /usr/lib64/libgpg-error.so.0.8.0
3971000000-3971075000 r-xp 00000000 fd:00 55347                          /usr/lib64/libgcrypt.so.11.7.0
3971075000-3971274000 ---p 00075000 fd:00 55347                          /usr/lib64/libgcrypt.so.11.7.0
3971274000-3971275000 r--p 00074000 fd:00 55347                          /usr/lib64/libgcrypt.so.11.7.0
3971275000-3971278000 rw-p 00075000 fd:00 55347                          /usr/lib64/libgcrypt.so.11.7.0
7f7e91fec000-7f7e91fed000 ---p 00000000 00:00 0 
7f7e91fed000-7f7e927ed000 rw-p 00000000 00:00 0 
7f7e927ed000-7f7e927ee000 ---p 00000000 00:00 0 
7f7e927ee000-7f7e92fee000 rw-p 00000000 00:00 0 
7f7e92fee000-7f7e92fef000 ---p 00000000 00:00 0 
7f7e92fef000-7f7e937ef000 rw-p 00000000 00:00 0 
7f7e937ef000-7f7e937f0000 ---p 00000000 00:00 0 
7f7e937f0000-7f7e93ff0000 rw-p 00000000 00:00 0 
7f7e93ff0000-7f7e93ff1000 ---p 00000000 00:00 0 
7f7e93ff1000-7f7e947f1000 rw-p 00000000 00:00 0 
7f7e947f1000-7f7e947f2000 ---p 00000000 00:00 0 
7f7e947f2000-7f7e94ff2000 rw-p 00000000 00:00 0 
7f7e94ff2000-7f7e94ff3000 ---p 00000000 00:00 0 
7f7e94ff3000-7f7e957f3000 rw-p 00000000 00:00 0 
7f7e957f3000-7f7e957f4000 ---p 00000000 00:00 0 
7f7e957f4000-7f7e95ff4000 rw-p 00000000 00:00 0 
7f7e95ff4000-7f7e95ff5000 ---p 00000000 00:00 0 
7f7e95ff5000-7f7e967f5000 rw-p 00000000 00:00 0 
7f7e967f5000-7f7e967f6000 ---p 00000000 00:00 0 
7f7e967f6000-7f7e96ff6000 rw-p 00000000 00:00 0 
7f7e96ff6000-7f7e96ff7000 ---p 00000000 00:00 0 
7f7e96ff7000-7f7e977f7000 rw-p 00000000 00:00 0 
7f7e977f7000-7f7e977f8000 ---p 00000000 00:00 0 
7f7e977f8000-7f7e97ff8000 rw-p 00000000 00:00 0 
7f7e97ff8000-7f7e97ff9000 ---p 00000000 00:00 0 
7f7e97ff9000-7f7e987f9000 rw-p 00000000 00:00 0 
7f7e987f9000-7f7e987fa000 ---p 00000000 00:00 0 
7f7e987fa000-7f7e98ffa000 rw-p 00000000 00:00 0 
7f7e98ffa000-7f7e98ffb000 ---p 00000000 00:00 0 
7f7e98ffb000-7f7e997fb000 rw-p 00000000 00:00 0 
7f7e997fb000-7f7e997fc000 ---p 00000000 00:00 0 
7f7e997fc000-7f7e99ffc000 rw-p 00000000 00:00 0 
7f7e99ffc000-7f7e99ffd000 ---p 00000000 00:00 0 
7f7e99ffd000-7f7e9a7fd000 rw-p 00000000 00:00 0 
7f7e9a7fd000-7f7e9a7fe000 ---p 00000000 00:00 0 
7f7e9a7fe000-7f7e9affe000 rw-p 00000000 00:00 0 
7f7e9affe000-7f7e9afff000 ---p 00000000 00:00 0 
7f7e9afff000-7f7e9b7ff000 rw-p 00000000 00:00 0 
7f7e9b7ff000-7f7e9b800000 ---p 00000000 00:00 0 
7f7e9b800000-7f7e9c000000 rw-p 00000000 00:00 0 
7f7e9c000000-7f7e9c06a000 rw-p 00000000 00:00 0 
7f7e9c06a000-7f7ea0000000 ---p 00000000 00:00 0 
7f7ea07f9000-7f7ea07fa000 ---p 00000000 00:00 0 
7f7ea07fa000-7f7ea0ffa000 rw-p 00000000 00:00 0 
7f7ea0ffa000-7f7ea0ffb000 ---p 00000000 00:00 0 
7f7ea0ffb000-7f7ea17fb000 rw-p 00000000 00:00 0 
7f7ea17fb000-7f7ea17fc000 ---p 00000000 00:00 0 
7f7ea17fc000-7f7ea1ffc000 rw-p 00000000 00:00 0 
7f7ea1ffc000-7f7ea1ffd000 ---p 00000000 00:00 0 
7f7ea1ffd000-7f7ea27fd000 rw-p 00000000 00:00 0 
7f7ea27fd000-7f7ea27fe000 ---p 00000000 00:00 0 
7f7ea27fe000-7f7ea2ffe000 rw-p 00000000 00:00 0 
7f7ea2ffe000-7f7ea2fff000 ---p 00000000 00:00 0 
7f7ea2fff000-7f7ea37ff000 rw-p 00000000 00:00 0 
7f7ea37ff000-7f7ea3800000 ---p 00000000 00:00 0 
7f7ea3800000-7f7ea4000000 rw-p 00000000 00:00 0 
7f7ea4000000-7f7ea4021000 rw-p 00000000 00:00 0 
7f7ea4021000-7f7ea8000000 ---p 00000000 00:00 0 
7f7ea80d7000-7f7ea80d8000 ---p 00000000 00:00 0 
7f7ea80d8000-7f7ea88d8000 rw-p 00000000 00:00 0 
7f7ea88d8000-7f7ea88d9000 ---p 00000000 00:00 0 
7f7ea88d9000-7f7ea90d9000 rw-p 00000000 00:00 0 
7f7ea90d9000-7f7ea90da000 ---p 00000000 00:00 0 
7f7ea90da000-7f7ea98da000 rw-p 00000000 00:00 0 
7f7ea98e7000-7f7ea98e8000 ---p 00000000 00:00 0 
7f7ea98e8000-7f7eaa0e8000 rw-p 00000000 00:00 0                          [stack:5905]
7f7eaa0e8000-7f7eaa0f4000 r-xp 00000000 fd:00 55213                      /usr/lib64/libnss_files-2.16.so
7f7eaa0f4000-7f7eaa2f3000 ---p 0000c000 fd:00 55213                      /usr/lib64/libnss_files-2.16.so
7f7eaa2f3000-7f7eaa2f4000 r--p 0000b000 fd:00 55213                      /usr/lib64/libnss_files-2.16.so
7f7eaa2f4000-7f7eaa2f5000 rw-p 0000c000 fd:00 55213                      /usr/lib64/libnss_files-2.16.so
7f7eaa2f5000-7f7eaa2f6000 ---p 00000000 00:00 0 
7f7eaa2f6000-7f7eaaaf6000 rw-p 00000000 00:00 0 
7f7eaaaf6000-7f7eaaafd000 rw-p 00000000 00:00 0 
7f7eaab23000-7f7eaab25000 rw-p 00000000 00:00 0 
7f7eaab25000-7f7eaab26000 rw-p 00000000 00:00 0 
7fff62ce2000-7fff62d03000 rw-p 00000000 00:00 0                          [stack]
7fff62dfe000-7fff62e00000 r-xp 00000000 00:00 0                          [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Version-Release number of selected component:
fuse-afp-0.8.1-10.fc18.3

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        
crash_function: afp_free_server
executable:     /usr/bin/afpfsd
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            505
var_log_messages: Jun  3 17:17:10 localhost abrt[7068]: Saved core dump of pid 5903 (/usr/bin/afpfsd) to /var/tmp/abrt/ccpp-2013-06-03-17:17:10-5903 (269914112 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 afp_free_server at afp.c:309
 #6 afp_server_remove at afp.c:329
 #7 afp_unmount_volume at afp.c:279
 #8 fuse_fs_destroy at fuse.c:2608
 #9 fuse_lib_destroy at fuse.c:2621
 #10 fuse_ll_destroy at fuse_lowlevel.c:2561
 #11 fuse_session_destroy at fuse_session.c:114
 #12 fuse_destroy at fuse.c:4786
 #13 fuse_teardown_common at helper.c:329
 #14 fuse_main_common at helper.c:357
Comment 1 lucacolferai 2013-06-03 11:23:44 EDT
Created attachment 756357 [details]
File: backtrace
Comment 2 lucacolferai 2013-06-03 11:23:47 EDT
Created attachment 756358 [details]
File: cgroup
Comment 3 lucacolferai 2013-06-03 11:23:51 EDT
Created attachment 756359 [details]
File: core_backtrace
Comment 4 lucacolferai 2013-06-03 11:23:54 EDT
Created attachment 756360 [details]
File: dso_list
Comment 5 lucacolferai 2013-06-03 11:23:58 EDT
Created attachment 756361 [details]
File: environ
Comment 6 lucacolferai 2013-06-03 11:24:03 EDT
Created attachment 756362 [details]
File: limits
Comment 7 lucacolferai 2013-06-03 11:24:07 EDT
Created attachment 756363 [details]
File: maps
Comment 8 lucacolferai 2013-06-03 11:24:10 EDT
Created attachment 756364 [details]
File: open_fds
Comment 9 lucacolferai 2013-06-03 11:24:14 EDT
Created attachment 756365 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-12-21 08:50:24 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:38:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.